<template>
	<view class="nodata" :style="'padding-top:'+padtop+'rpx'">
		<image :src="nodata" class="noimg"></image>
		<!-- <image :src="noiconpimg" v-else></image> -->
		<view>{{notxt}}</view>
	</view>
</template>

<script>
	export default{
		props:{
			notxt:{
				type: String,
				default () {
					return '暂无数据'
				}
			},
			padtop:{
				type: Number,
				default () {
					return 100
				}
			},
			type:{
				type: String,
				default () {
					return ''
				}
			}
		},
		data(){
			return{
				noiconpimg:require("@/static/images/noiconp.png"),
				nodata:require("@/static/images/nodata.png"),
			}
		}
	}
</script>

<style lang="scss" scoped>
// 无数据
.nodata{
	display: flex;flex-direction: column;align-items: center;box-sizing: border-box;padding-bottom: 100rpx;
	image{width: 456rpx;height: 178rpx;margin-bottom: 28rpx;}
	view{font-size: 26rpx;color: #666666;font-weight: 500;}
	.noimg{width: 410rpx;height: 286rpx;margin-bottom: 44rpx;}
}	
</style>